Work at SourceForge, help us to make it a better place! We have an immediate need for a Support Technician in our San Francisco or Denver office.

Close

#652 Replacing deprecated junit import

Accepted
closed
nobody
None
master
1
2013-08-01
2013-07-01
John May
No

Small patch, replaces the deprecated 'junit.framework' with the newer 'org.junit' import statements.

1 Attachments

Discussion

  • I cannot get it to apply:

    $ git am -3 --ignore-whitespace --signoff ~/Downloads/0001-Replacing-old-junit-imports.patch
    Applying: Replacing old junit imports.
    fatal: sha1 information is lacking or useless (src/test/org/openscience/cdk/smsd/IsomorphismTest.java).
    Repository lacks necessary blobs to fall back on 3-way merge.
    Cannot fall back to three-way merge.
    Patch failed at 0001 Replacing old junit imports.
    When you have resolved this problem run "git am --resolved".
    If you would prefer to skip this patch, instead run "git am --skip".
    To restore the original branch and stop patching run "git am --abort".

    Does this require the SMSD patch first?

     
  • John May
    John May
    2013-07-02

    Fixed - Yeah I did it on the SMSD branch as I spotted some in the SMSD code. This was for the existing code though so heres the patch for master.

     
    • status: open --> closed
    • Group: Needs_Review --> Accepted
     
  • Thanx.